//go:build windows

package yu_win

import "syscall"

var Select Address
var Send Address
var Recv Address
var Gethostbyname Address

func init() {
	j_mod, _ := syscall.LoadLibrary("ws2_32.dll")
	j_h, _ := syscall.GetProcAddress(j_mod, "select")
	Select = Address(j_h)
	j_h, _ = syscall.GetProcAddress(j_mod, "send")
	Send = Address(j_h)
	j_h, _ = syscall.GetProcAddress(j_mod, "recv")
	Recv = Address(j_h)
	j_h, _ = syscall.GetProcAddress(j_mod, "gethostbyname")
	Gethostbyname = Address(j_h)
}

type FDSET struct {
	Count uintptr
	Fds   uintptr // []uintptr
}

type TIMEVAL struct {
	TvSec  int32
	TvUsec int32
}

type Hostent struct {
	Name     *byte
	Aliases  **byte
	AddrType uint16
	Length   uint16
	AddrList uintptr // **byte
}
